
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'S', 'Permiso' : tGrupoModal})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="form-row">
    <div class="form-group col-12">
      <div class="form-row">
        <div class="form-group col-4">
          <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
            <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
          </select>
        </div>
        <div class="form-group col-8">
          <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-8">
          <div class="row">
            <div class="col-12">
              <div class="table-responsive">
                <table class="table table-sm table-striped table-hover">
                  <thead>
                    <tr class="align-middle">
                      <th></th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Acceso</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Descripción</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Descripción2</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Agregar</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Editar</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Eliminar</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Imprimir</h6>
                      </th>
                      <th>
                        <h6 class="font-weight-bold text-nowrap">Permiso</h6>
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let tFormulario of tGrupoActual.LFormularios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaFormulario-1) * tTamanoPagFormulario : (tPaginaFormulario-1) * tTamanoPagFormulario + tTamanoPagFormulario ; let jv = index">
                      <td>
                        <button class="btn btn-sm btn-outline-info" type="button" (click)="SeleccionarFormulario(tFormulario)"><span class="fas fa-eye"></span></button>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkAcceso" type="checkbox" #chkAcceso="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Acceso"/>
                      </td>
                      <td>
                        <h6 class="text-nowrap">{{ tFormulario.Descripcion }}</h6>
                      </td>
                      <td>
                        <h6 class="text-nowrap">{{ tFormulario.Descripcion2 }}</h6>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkAgregar" type="checkbox" #chkAgregar="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Agregar" name="AgregarCheck1"/>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkEditar" type="checkbox" #chkEditar="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Editar" name="EditarCheck1"/>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkEliminar" type="checkbox" #chkEliminar="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Eliminar" name="EliminarCheck1"/>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkImprimir" type="checkbox" #chkImprimir="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Imprimir" name="ImprimirCheck1"/>
                      </td>
                      <td class="text-center">
                        <input class="form-check-input-text-center" id="chkPermiso" type="checkbox" #chkPermiso="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Permiso" name="PermisoCheck1"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="row mt-2">
            <div class="col-12">
              <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tGrupoActual.LFormularios.length" [(page)]="tPaginaFormulario" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormulario"></ngb-pagination>
            </div>
          </div>
        </div>
        <div class="form-group col-4">
          <ng-container *ngIf="this.tFormularioActual.LTareas.length &lt;= 0"><img class="img-fluid text-center" src="assets/NoData.svg"/></ng-container>
          <ng-container *ngIf="this.tFormularioActual.LTareas.length &gt; 0">
            <div class="form-row">
              <div class="form-group col-12">
                <div class="row">
                  <div class="col">
                    <h5 class="text-center card-title"><span>{{ tFormularioActual.Descripcion }}</span></h5>
                  </div>
                </div>
                <div class="row">
                  <div class="col">
                    <h6 class="card-title mb-0 text-gray-800"><span>Tareas adicionales</span></h6>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-row" *ngFor="let tTarea of tFormularioActual.LTareas | slice: (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas : (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas + tTamanoPagFormularioTareas ; let jv = index">
              <div class="form-group col-12">
                <div class="card shadow-sm h-100 border-left-primary">
                  <div class="card-body">
                    <div class="row no-gutters align-items-center">
                      <div class="col-auto mr-1">
                        <div class="custom-control custom-switch">
                          <input class="custom-control-input" type="checkbox" id="{{ tTarea.Codtarea }}" ng-true-value="1" ng-false-value="0" [checked]="tTarea.Asignado" [disabled]="true"/>
                          <label class="custom-control-label" for="{{ tTarea.Codtarea }}"></label>
                        </div>
                      </div>
                      <div class="col mr-2">
                        <div class="text-xs h6 mb-0 font-weight-bold text-gray-800">{{ tTarea.Descripcion }}</div>
                      </div>
                      <div class="col-auto">
                        <div class="fas fa-tasks fa-2x text-gray-300"></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row mt-2">
              <div class="col-12">
                <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tFormularioActual.LTareas.length" [(page)]="tPaginaFormularioTareas" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormularioTareas"></ngb-pagination>
              </div>
            </div>
          </ng-container>
        </div>
      </div>
    </div>
  </div>
</div>